> For the complete documentation index, see [llms.txt](https://docs-swft.swft.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-swft.swft.pro/ju-he-jiao-yi-api-jie-kou/cha-xun-dan-ge-ding-dan-zhuang-tai.md).

# 获取单个订单状态

**1. 接口调用：**

&#x20;`https://{host}/marketApi/orders`

**2. 请求参数实例**

| 参数        | 是否必须 | 说明           |
| --------- | ---- | ------------ |
| channelId | 是    | 渠道id         |
| timestamp | 是    | 毫秒时间戳（UTC+8） |
| sign      | 是    | 签名           |
| orderId   | 是    | 订单号          |

3.请求参数示例

```
 {
     "channelId":"swft-channel",
     "sign":"102027D292DD0707E0D899459D91C759858D7367D223CB239A8EC3A90C30B122",
     "timestamp":"1557653925555",
     "orderId":"Huwldef823Fw"
 }
```

4.返回结果示例

```
 {
    "data":{
        "availCoinCode":"BTC",
        "availTradeCode":"USDT",
        "averagePrice":"",
        "createTime":"2019-07-31 11:12:06",
        "orderId":"gxrn9R0N4weI",
        "price":"1",
        "status":"canceled",
        "successAmt":"0",
        "successTradeAmt":"0",
        "totalAmt":"1",
        "totalTradeAmt":"1",
        "tradeFee":"0",
        "tradePair":"BTC/USDT",
        "type":"buy",
        "updateTime":"2019-07-31 11:12:06"
    },
    "resCode":"800",
    "resMsg":"成功"
}
```

5.返回参数说明

| 字段名称  | 是否数组 | 字段              | 数据类型   | 数据长度 | 必须项 | 备注                             |
| ----- | ---- | --------------- | ------ | ---- | --- | ------------------------------ |
| 订单号   | Y    | orderId         | String | 30   | Y   | eg: Hushjrw8723                |
| 交易币种  | Y    | availCoinCode   | String | 20   | Y   | eg: BTC                        |
| 交易区币种 | Y    | availTradeCode  | String | 20   | Y   | eg: USDT                       |
| 交易对   | Y    | tradePair       | String | 20   | Y   | BTC/USDT                       |
| 价格    | Y    | price           | String | 30   | Y   | eg: 0.21312                    |
| 下单数量  | Y    | totalAmt        | String | 30   | Y   | eg: 1                          |
| 成交数量  | Y    | successAmt      | String | 30   | Y   | eg: 1                          |
| 总交易额  | Y    | totalTradeAmt   | String | 30   | Y   | eg: 0.21312                    |
| 成交总额  | Y    | successTradeAmt | String | 30   | Y   | eg: 0.21312                    |
| 类型    | Y    | type            | String | 20   | Y   | eg: buy                        |
| 手续费   | Y    | tradeFee        | String | 20   | Y   | eg: 0.000426                   |
| 成交均价  | Y    | averagePrice    | String | 20   | Y   | eg: 0.21312                    |
| 状态    | Y    | status          | String | 30   | Y   | eg: canceled                   |
| 创建时间  | Y    | createTime      | String | 30   | Y   | eg: 2019-08-02 11:14:00（UTC+8） |
| 更新时间  | Y    | updateTime      | String | 30   | Y   | eg: 2019-08-02 11:14:00（UTC+8） |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-swft.swft.pro/ju-he-jiao-yi-api-jie-kou/cha-xun-dan-ge-ding-dan-zhuang-tai.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
